{ pkgs ? import <nixpkgs> {} }:

let
  wxc = pkgs.callPackage (import ./wxc.nix pkgs) {};

in
pkgs.mkShell {
  nativeBuildInputs = [
    pkgs.pkg-config
  ];
  buildInputs = [
    wxc
    pkgs.wxGTK32 # wxdirect needs wx-config
    pkgs.libGL # for OpenGLRaw
    pkgs.libGLU # for GLURaw
# for compiling application packages in Nix
    pkgs.haskell.compiler.ghc963
    pkgs.cabal-install
    pkgs.gmp
    pkgs.numactl
    pkgs.alsa-lib
    pkgs.alsa-plugins
  ];
  shellHook = ''
    export ALSA_PLUGIN_DIR=${pkgs.alsa-plugins}/lib/alsa-lib
  '';
}
